Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/ARCH/NOC/arch-ALTIX_NAUTILUS_MPT.fcm
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/ARCH/NOC/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/ARCH/NOC/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 3631)
@@ -17,12 +17,12 @@
 
 
-%NCDF_HOME           /noc/users/jeff/packages/netcdf4/netcdf-4.1.1/x86_64/intel10.1
-%HDF5_HOME           /noc/users/jeff/packages/hdf5/hdf5-1.8.4-patch1/x86_64/intel10.1
+%NCDF_HOME           /noc/users/jeff/packages/netcdf4/netcdf-4.1.3/xSSE2/intel11.1
+%HDF5_HOME           /noc/users/jeff/packages/hdf5/hdf5-1.8.7/xSSE2/intel11.1
 %NCDF_INC            -I%NCDF_HOME/include -I%HDF5_HOME/include
 # Note use of -Bstatic because the library root directories are not accessible to the back-end compute nodes
-%NCDF_LIB            -L%HDF5_HOME/lib -L%NCDF_HOME/lib -Bstatic -lnetcdf -lhdf5_fortran -lhdf5_hl -lhdf5 -Bdynamic -lz
+%NCDF_LIB            -L%HDF5_HOME/lib -L%NCDF_HOME/lib -Bstatic -lnetcdff -lnetcdf -lhdf5_fortran -lhdf5_hl -lhdf5 -Bdynamic -lz
 %FC                  ifort
-%FCFLAGS             -r8 -O3 -xT -ip -vec-report0
-%FFLAGS              -r8 -O3 -xT -ip -vec-report0
+%FCFLAGS             -r8 -O3 -fp-model precise -xT -ip -vec-report0
+%FFLAGS              -r8 -O3 -fp-model precise -xT -ip -vec-report0
 %LD                  ifort
 %FPPFLAGS            -P -C -traditional
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/AMM12/EXP00/iodef.xml
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/AMM12/EXP00/iodef.xml	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/AMM12/EXP00/iodef.xml	(revision 3631)
@@ -55,5 +55,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+        <field id="saltflx"      description="Downward salt flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -76,4 +76,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -104,4 +105,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
+        <!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<!-- available key_coupled -->
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
@@ -374,5 +378,5 @@
 	  <field ref="empmr"        name="sowaflup"  />
 	  <field ref="qsr"          name="soshfldo"  />
-	  <field ref="empsmr"       name="sowaflcd"  />
+          <field ref="saltflx"      name="sosfldow"  />
 	  <field ref="qt"           name="sohefldo"  />
 	  <field ref="mldr10_1"     name="somxl010"  />
@@ -712,5 +716,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+        <field id="saltflx"      description="Downward salt flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -733,4 +737,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -761,4 +766,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
+        <!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<!-- available key_coupled -->
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
@@ -938,5 +946,5 @@
 	  <field ref="empmr"        name="sowaflup"  />
 	  <field ref="qsr"          name="soshfldo"  />
-	  <field ref="empsmr"       name="sowaflcd"  />
+          <field ref="saltflx"      name="sosfldow"  />
 	  <field ref="qt"           name="sohefldo"  />
 	  <field ref="mldr10_1"     name="somxl010"  />
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/AMM12_PISCES/EXP00/iodef.xml
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/AMM12_PISCES/EXP00/iodef.xml	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/AMM12_PISCES/EXP00/iodef.xml	(revision 3631)
@@ -55,5 +55,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+        <field id="saltflx"      description="Downward salt flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -76,4 +76,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -104,4 +105,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
+        <!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<!-- available key_coupled -->
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
@@ -361,5 +365,5 @@
 	  <field ref="empmr"        name="sowaflup"  />
 	  <field ref="qsr"          name="soshfldo"  />
-	  <field ref="empsmr"       name="sowaflcd"  />
+          <field ref="saltflx"      name="sosfldow"  />
 	  <field ref="qt"           name="sohefldo"  />
 	  <field ref="mldr10_1"     name="somxl010"  />
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/GYRE/EXP00/iodef.xml
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/GYRE/EXP00/iodef.xml	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/GYRE/EXP00/iodef.xml	(revision 3631)
@@ -55,5 +55,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+        <field id="saltflx"      description="Downward salt flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -76,4 +76,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -104,5 +105,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
-	<!-- available key_coupled -->
+        <!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
 	<field id="snow_ai_cea"  description="Snow over sea-ice (cell average)"                             unit="kg/m2/s"  />
@@ -260,5 +263,6 @@
 	  <field ref="empmr"        name="sowaflup"  />
 	  <field ref="qsr"          name="soshfldo"  />
-	  <field ref="empsmr"       name="sowaflcd"  />
+          <field ref="saltflx"      name="sosfldow"  />
+	<!-- available key_coupled -->
 	  <field ref="qt"           name="sohefldo"  />
 	  <field ref="mldr10_1"     name="somxl010"  />
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/GYRE_LOBSTER/EXP00/iodef.xml	(revision 3631)
@@ -55,5 +55,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+	<field id="saltflx"      description="Downward salt flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -76,4 +76,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -104,4 +105,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
+        <!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<!-- available key_coupled -->
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
@@ -300,5 +304,5 @@
           <field ref="empmr"        name="sowaflup"  />
           <field ref="qsr"          name="soshfldo"  />
-          <field ref="empsmr"       name="sowaflcd"  />
+          <field ref="saltflx"      name="sosfldow"  />
           <field ref="qt"           name="sohefldo"  />
           <field ref="mldr10_1"     name="somxl010"  />
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/iodef.xml
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 3631)
@@ -377,5 +377,5 @@
 	  <field ref="empmr"        name="sowaflup"  />
 	  <field ref="qsr"          name="soshfldo"  />
-	  <field ref="empsmr"       name="sowaflcd"  />
+          <field ref="saltflx"      name="sosfldow"  />
 	  <field ref="qt"           name="sohefldo"  />
 	  <field ref="mldr10_1"     name="somxl010"  />
@@ -784,5 +784,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+       <field id="saltflx"      description="Downward salt flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -805,4 +805,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -833,4 +834,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
+        <!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<!-- available key_coupled -->
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/iodef.xml	(revision 3631)
@@ -55,5 +55,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+        <field id="saltflx"      description="Downward salt flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -76,4 +76,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -104,4 +105,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
+        <!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<!-- available key_coupled -->
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
@@ -361,5 +365,5 @@
 	  <field ref="empmr"        name="sowaflup"  />
 	  <field ref="qsr"          name="soshfldo"  />
-	  <field ref="empsmr"       name="sowaflcd"  />
+          <field ref="saltflx"      name="sosfldow"  />
 	  <field ref="qt"           name="sohefldo"  />
 	  <field ref="mldr10_1"     name="somxl010"  />
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/iodef.xml
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/iodef.xml	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/iodef.xml	(revision 3631)
@@ -124,5 +124,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+        <field id="saltflx"      description="Downward salt flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -145,4 +145,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -173,4 +174,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
+        <!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<!-- available key_coupled -->
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
@@ -373,5 +377,5 @@
 	  <field ref="empmr"        name="sowaflup"  />
 	  <field ref="qsr"          name="soshfldo"  />
-	  <field ref="empsmr"       name="sowaflcd"  />
+          <field ref="saltflx"      name="sosfldow"  />
 	  <field ref="qt"           name="sohefldo"  />
 	  <field ref="mldr10_1"     name="somxl010"  />
@@ -780,5 +784,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+        <field id="saltflx"      description="Downward salt flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -801,4 +805,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -829,4 +834,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
+        <!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<!-- available key_coupled -->
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
@@ -1016,5 +1024,5 @@
 	  <field ref="empmr"        name="sowaflup"  />
 	  <field ref="qsr"          name="soshfldo"  />
-	  <field ref="empsmr"       name="sowaflcd"  />
+          <field ref="saltflx"      name="sosfldow"  />
 	  <field ref="qt"           name="sohefldo"  />
 	  <field ref="mldr10_1"     name="somxl010"  />
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/ICB/icbthm.F90
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/ICB/icbthm.F90	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/OPA_SRC/ICB/icbthm.F90	(revision 3631)
@@ -207,5 +207,4 @@
       IF(.NOT. ln_passive_mode ) THEN
          emp (:,:) = emp (:,:) - berg_grid%floating_melt(:,:)
-         emps(:,:) = emps(:,:) - berg_grid%floating_melt(:,:)
 !!       qns (:,:) = qns (:,:) + berg_grid%calving_hflx (:,:)  !!gm heat flux not yet properly coded ==>> need it, SOLVE that!
       ENDIF
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ALTIX_NAUTILUS_MPT
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ALTIX_NAUTILUS_MPT	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ALTIX_NAUTILUS_MPT	(revision 3631)
@@ -28,8 +28,8 @@
   module load mpt/2.03
   export MPT_HOME=/opt/sgi/mpt/mpt-2.03
-  export NC4_HOME=/sata/working/jeff/packages/netcdf4/netcdf-4.1.1/altix/intel10.1
-  export HD5_HOME=/sata/working/jeff/packages/hdf5/hdf5-1.8.4-patch1/altix/intel10.1
-  export IFT_HOME=/sw/Intel/fce/10.1.021
-  export SVN_HOME=/fibre/acc/UTILS/svn/v1.5/svn
+  export NC4_HOME=/noc/users/jeff/packages/netcdf4/netcdf-4.1.3/xSSE2/intel11.1
+  export HD5_HOME=/noc/users/jeff/packages/hdf5/hdf5-1.8.7/xSSE2/intel11.1
+  export IFT_HOME=/sw/Intel/fce/11.1.072
+  export SVN_HOME=/nerc/packages/subversion/v1.7.2
 #
   echo Running on host `hostname`
Index: /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/SETTE/iodef_sette.xml
===================================================================
--- /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/SETTE/iodef_sette.xml	(revision 3630)
+++ /branches/2012/dev_NOC_2012_rev3555/NEMOGCM/SETTE/iodef_sette.xml	(revision 3631)
@@ -55,5 +55,5 @@
 
 	<field id="empmr"        description="Net Upward Water Flux"                                        unit="kg/m2/s"  />
-	<field id="empsmr"       description="concentration/dilution water flux"                            unit="kg/m2/s"  />
+	<field id="saltflx"      description="Downward water flux"                                          unit="PSU/m2/s"  />
 	<field id="snowpre"      description="Snow precipitation"                                           unit="kg/m2/s"  />
 	<field id="runoffs"      description="River Runoffs"                                                unit="Kg/m2/s"  />
@@ -76,4 +76,5 @@
 	<field id="qsb_oce"      description="Sensible Downward Heat Flux over open ocean"                  unit="W/m2"     />
 	<field id="qla_oce"      description="Latent Downward Heat Flux over open ocean"                    unit="W/m2"     />
+        <field id="qhc_oce"      description="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
 	<field id="taum_oce"     description="wind stress module over open ocean"                           unit="N/m2"     />
 
@@ -104,4 +105,7 @@
 	<field id="v_imasstr"    description="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
 
+	<!-- available if not defined key_vvl -->
+        <field id="emp_x_sst"      description="Concentration/Dilution term on SST"                         unit="kgC/m2/s" />
+        <field id="emp_x_sss"      description="Concentration/Dilution term on SSS"                       unit="kgPSU/m2/s" />
 	<!-- available key_coupled -->
 	<field id="snow_ao_cea"  description="Snow over ice-free ocean (cell average)"                      unit="kg/m2/s"  />
@@ -227,5 +231,6 @@
        <field id="SFe"      description="Small iron particles Concentration"       unit="molFe/L"    />
        <field id="DFe"      description="Diatoms iron  Concentration"              unit="molFe/L"    />
-       <field id="DSi"      description="Sinking biogenic Silicate Concentration"  unit="molC/L"     />
+       <field id="DSi"      description="Diatoms Silicate Concentration"           unit="molC/L"     />
+       <field id="GSi"      description="Sinking biogenic Silicate Concentration"  unit="molC/L"     />
        <field id="NFe"      description="Nano iron Concentration"                  unit="molC/L"     />
        <field id="NCHL"     description="Nano chlorophyl Concentration"            unit="gChl/L"     />