Index: branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 3634)
+++ branches/2012/dev_NOC_2012_rev3555/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 3635)
@@ -11,12 +11,12 @@
    !!   'key_lim2'                                    LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!   lim_dmp_2      : ice model damping
+   !!   lim_dmp_2     : ice model damping
    !!----------------------------------------------------------------------
-   USE ice_2           ! ice variables 
+   USE ice_2          ! ice variables 
    USE sbc_oce, ONLY : nn_fsbc ! for fldread
-   USE dom_oce         ! for mi0; mi1 etc ...
-   USE fldread         ! read input fields
-   USE in_out_manager  ! I/O manager
-   USE lib_mpp         ! MPP library
+   USE dom_oce        ! for mi0; mi1 etc ...
+   USE fldread        ! read input fields
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! MPP library
    USE lib_fortran     ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
@@ -26,8 +26,7 @@
    PUBLIC   lim_dmp_2     ! called by sbc_ice_lim2
 
-   REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::   resto_ice   ! restoring coeff. on ICE   [s-1]
-
-   INTEGER, PARAMETER :: jp_hicif = 1 , jp_frld = 2
-   TYPE(FLD), ALLOCATABLE, DIMENSION(:) :: sf_icedmp    ! structure of ice damping input
+   INTEGER  , PARAMETER :: jp_hicif = 1 , jp_frld = 2
+   REAL(wp) , ALLOCATABLE, DIMENSION(:,:,:) ::   resto_ice   ! restoring coeff. on ICE   [s-1]
+   TYPE(FLD), ALLOCATABLE, DIMENSION(:)     ::   sf_icedmp   ! structure of ice damping input
    
    !! * Substitution
@@ -44,7 +43,11 @@
       !!                   ***  ROUTINE lim_dmp_2  ***
       !!
-      !! ** purpose : ice model damping : restoring ice thickness and fraction leads
+      !! ** purpose :   restore ice thickness and lead fraction
       !!
-      !! ** method  : the key_tradmp must be used to compute resto(:,:,1) coef.
+      !! ** method  :   restore ice thickness and lead fraction using a restoring
+      !!              coefficient defined by the user in lim_dmp_init
+      !!
+      !! ** Action  : - update hicif and frld  
+      !!
       !!---------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt   ! ocean time-step
@@ -54,5 +57,5 @@
       !!---------------------------------------------------------------------
       !
-      IF (kt == nit000)  THEN 
+      IF( kt == nit000 ) THEN 
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) 'lim_dmp_2 : Ice thickness and ice concentration restoring'
@@ -72,5 +75,5 @@
             &         hicif(:,:) - rdt_ice * resto_ice(:,:,1) * ( hicif(:,:) - sf_icedmp(jp_hicif)%fnow(:,:,1) )  ) 
 !CDIR COLLAPSE
-         hicif(:,:) = MAX( 0._wp, MIN( 1._wp,         &        ! 0<= frld<=1    values which blow the run up
+         frld (:,:) = MAX( 0._wp, MIN( 1._wp,         &        ! 0<= frld<=1    values which blow the run up
             &         frld (:,:) - rdt_ice * resto_ice(:,:,1) * ( frld (:,:) - sf_icedmp(jp_frld )%fnow(:,:,1) )  )  )
          !
@@ -84,10 +87,9 @@
       !!                   ***  ROUTINE lim_dmp_init  ***
       !!
-      !! ** Purpose :   Initialization for the ice thickness and concentration 
-      !!                restoring
-      !!              restoring will be used. It is used to mimic ice open
-      !!              boundaries.
+      !! ** Purpose :   set the coefficient for the ice thickness and lead fraction restoring
       !!
-      !! ** Method  :  ?????
+      !! ** Method  :   restoring is used to mimic ice open boundaries.
+      !!              the restoring coef. (a 2D array) has to be defined by the user.
+      !!              here is given as an example a restoring along north and south boundaries
       !!      
       !! ** Action  :   define resto_ice(:,:,1)