Index: /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/CONFIG/ORCA2_TAM/EXP00/namelist
===================================================================
--- /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/CONFIG/ORCA2_TAM/EXP00/namelist	(revision 3638)
+++ /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/CONFIG/ORCA2_TAM/EXP00/namelist	(revision 3639)
@@ -140,5 +140,5 @@
    ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
    ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
-   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
+   nn_fwb      = 3         !  FreshWater Budget: =0 unchecked
                            !     =1 global mean of e-p-r set to zero at each time step
                            !     =2 annual global mean of e-p-r set to zero
@@ -254,5 +254,5 @@
    ln_qsr_2bd  = .false.   !  2 bands              light penetration
    ln_qsr_bio  = .false.   !  bio-model light penetration
-   nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
+   nn_chldta   =      1    !  RGB : Chl data (=1) or cst value (=0)
    rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
@@ -520,6 +520,6 @@
 &namtra_adv    !   advection scheme for tracer
 !-----------------------------------------------------------------------
-   ln_traadv_cen2   =  .true.  !  2nd order centered scheme
-   ln_traadv_tvd    =  .false.   !  TVD scheme
+   ln_traadv_cen2   =  .false.  !  2nd order centered scheme
+   ln_traadv_tvd    =  .true.   !  TVD scheme
    ln_traadv_muscl  =  .false.  !  MUSCL scheme
    ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
@@ -752,7 +752,7 @@
 &namsol        !   elliptic solver / island / free surface
 !-----------------------------------------------------------------------
-   nn_solv     =      2    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
+   nn_solv     =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
                            !                   =2 successive-over-relaxation (sor)
-   nn_sol_arp  =      1    !  absolute/relative (0/1) precision convergence test
+   nn_sol_arp  =      0    !  absolute/relative (0/1) precision convergence test
    rn_eps      =  1.e-6    !  absolute precision of the solver
    nn_nmin     =    300    !  minimum of iterations for the SOR solver
@@ -768,8 +768,8 @@
                            !  buffer blocking send or immediate non-blocking sends, resp.
    nn_buffer   =   0       !  size in bytes of exported buffer ('B' case), 0 no exportation
-   ln_nnogather=   .true.  !  activate code to avoid mpi_allgather use at the northfold
-   jpni        =   1       !  jpni   number of processors following i (set automatically if < 1)
-   jpnj        =   1       !  jpnj   number of processors following j (set automatically if < 1)
-   jpnij       =   1       !  jpnij  number of local domains (set automatically if < 1)
+   ln_nnogather=  .false.  !  activate code to avoid mpi_allgather use at the northfold
+   jpni        =   0       !  jpni   number of processors following i (set automatically if < 1)
+   jpnj        =   0       !  jpnj   number of processors following j (set automatically if < 1)
+   jpnij       =   0       !  jpnij  number of local domains (set automatically if < 1)
 /
 !-----------------------------------------------------------------------
@@ -786,5 +786,5 @@
    nn_bench    =    0      !  Bench mode (1/0): CAUTION use zero except for bench
                            !     (no physical validity of the results)
-   nn_timing   =    1      !  timing by routine activated (=1) creates timing.output file, or not (=0)
+   nn_timing   =    0      !  timing by routine activated (=1) creates timing.output file, or not (=0)
 /
 
@@ -984,4 +984,12 @@
 /
 !-----------------------------------------------------------------------
+&namtrj ! Handling non-linear trajectory for TAM (output for direct model, input for TAM)
+!-----------------------------------------------------------------------
+    cn_dirtrj   = 'tam_trajectory'   ! prefix for input/ouput files
+    ln_trjhand  = .false.            ! Handling non linear trajectory
+    nn_ittrjfrq = 5                 ! Output/input frequency
+    ln_trj_spl = .false.             ! Handling trajectory at simple precision
+/
+!-----------------------------------------------------------------------
 &namtst_tam ! NEMOTAM driver ('key_tam')
 !-----------------------------------------------------------------------
@@ -991,12 +999,4 @@
 /
 !-----------------------------------------------------------------------
-&namtrj ! Handling non-linear trajectory for TAM (output for direct model, input for TAM)
-!-----------------------------------------------------------------------
-    cn_dirtrj   = 'tam_trajectory' ! prefix for input/ouput files
-    ln_trjhand  = .true.           ! Handling non linear trajectory
-    nn_ittrjfrq = 5                ! Output/input frequency
-    ln_trj_spl = .false.                 ! Handling trajectory at simple precision
-/
-!-----------------------------------------------------------------------
 &namtl_trj ! Writing trajectory during a TL run (key_tam)
 !-----------------------------------------------------------------------