Index: /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/SBC/sbcmod_tam.F90
===================================================================
--- /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/SBC/sbcmod_tam.F90	(revision 3639)
+++ /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/SBC/sbcmod_tam.F90	(revision 3640)
@@ -247,5 +247,7 @@
 !!      CALL sbc_ice_lim_2_adj_tst( kumadt ) ! LIM 2.0 ice model
 !!      CALL sbc_ice_lim_adj_tst( kumadt )   ! LIM 3.0 ice model
+#if defined key_gyre
       CALL sbc_gyre_adj_tst( kumadt )      ! analytical formulation : GYRE configuration
+#endif
 !!      CALL sbc_ana_adj_tst( kumadt )       ! analytical formulation : uniform sbc
       CALL sbc_flx_adj_tst( kumadt )        ! flux formulation
Index: /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/TRA/eosbn2_tam.F90
===================================================================
--- /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/TRA/eosbn2_tam.F90	(revision 3639)
+++ /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/TRA/eosbn2_tam.F90	(revision 3640)
@@ -769,4 +769,5 @@
          !
       END SELECT
+      CALL wrk_dealloc( jpi, jpj, zws )
       !
    END SUBROUTINE eos_insitu_2d_tan
Index: /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/TRA/trabbl_tam.F90
===================================================================
--- /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/TRA/trabbl_tam.F90	(revision 3639)
+++ /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/TRA/trabbl_tam.F90	(revision 3640)
@@ -96,4 +96,5 @@
          ALLOCATE( utr_bbl_tl  (jpi,jpj), vtr_bbl_tl  (jpi,jpj), &
             &      ahu_bbl_tl  (jpi,jpj), ahv_bbl_tl  (jpi,jpj), &
+            &      ahu_bbl_0_tl  (jpi,jpj), ahv_bbl_0_tl  (jpi,jpj), &
             &      STAT= ierr(1) )
          ll_alloctl = .TRUE.
@@ -103,4 +104,5 @@
          ALLOCATE( utr_bbl_ad  (jpi,jpj), vtr_bbl_ad  (jpi,jpj), &
             &      ahu_bbl_ad  (jpi,jpj), ahv_bbl_ad  (jpi,jpj), &
+            &      ahu_bbl_0_ad  (jpi,jpj), ahv_bbl_0_ad  (jpi,jpj), &
             &      STAT= ierr(2) )
          ll_allocad = .TRUE.
@@ -125,5 +127,5 @@
       IF ( ( kmode == 0 ) .OR. ( kmode == 1 ) .AND. ( ll_alloctl ) ) THEN
          DEALLOCATE( utr_bbl_tl, vtr_bbl_tl, &
-            &      ahu_bbl_tl, ahv_bbl_tl, &
+            &      ahu_bbl_0_tl, ahv_bbl_0_tl, &
             &      STAT= ierr(1) )
          ll_alloctl = .FALSE.
@@ -133,4 +135,5 @@
          DEALLOCATE( utr_bbl_ad, vtr_bbl_ad, &
             &      ahu_bbl_ad, ahv_bbl_ad, &
+            &      ahu_bbl_0_ad, ahv_bbl_0_ad, &
             &      STAT= ierr(2) )
          ll_allocad = .FALSE.
Index: /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/TRA/traqsr_tam.F90
===================================================================
--- /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/TRA/traqsr_tam.F90	(revision 3639)
+++ /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/TRA/traqsr_tam.F90	(revision 3640)
@@ -484,4 +484,7 @@
       qsr_hc_b_ad(:,:,:) = 0._wp
 
+      CALL wrk_dealloc( jpi, jpj,      zekb, zekg, zekr        )
+      CALL wrk_dealloc( jpi, jpj, jpk, ze0ad, ze1ad, ze2ad, ze3ad, zeaad )
+
       IF( nn_timing == 1 )  CALL timing_stop('tra_qsr_adj')
 
Index: /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/dotprodfld.F90
===================================================================
--- /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/dotprodfld.F90	(revision 3639)
+++ /branches/2012/dev_r3604_LEGI8_TAM/NEMOGCM/NEMO/OPATAM_SRC/dotprodfld.F90	(revision 3640)
@@ -61,8 +61,9 @@
          & pvec2
       !! * Local declarations
-      dot_product_3d = glob_sum(pvec1(:,:,:) * pvec2(:,:,:))!= glob_sum( &
-         !&                       PACK( pvec1(nldi:nlei,nldj:nlej,:),.TRUE.) * &
-         !&                       PACK( pvec2(nldi:nlei,nldj:nlej,:),.TRUE.),  &
-         !&                       (nlei-nldi+1) * (nlej-nldj+1) * jpk )
+
+      dot_product_3d = glob_sum( &
+         &                       PACK( pvec1(nldi:nlei,nldj:nlej,:),.TRUE.) * &
+         &                       PACK( pvec2(nldi:nlei,nldj:nlej,:),.TRUE.),  &
+         &                       (nlei-nldi+1) * (nlej-nldj+1) * jpk )
 
    END FUNCTION dot_product_3d