Index: branches/2012/dev_CMCC_INGV_2012/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn.F90
===================================================================
--- branches/2012/dev_CMCC_INGV_2012/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn.F90	(revision 3645)
+++ branches/2012/dev_CMCC_INGV_2012/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn.F90	(revision 3646)
@@ -5,5 +5,6 @@
    !! Ocean dynamics:   Radiation of velocities on each open boundary
    !!=================================================================================
-
+   !! History :  3.5  !  2012     (S. Mocavero, I. Epicoco) Updates for the 
+   !!                             optimization of OBC communications
    !!---------------------------------------------------------------------------------
    !!   obc_dyn        : call the subroutine for each open boundary
@@ -105,9 +106,9 @@
       IF( lk_mpp ) THEN
          IF( kt >= nit000+3 .AND. ln_rstart ) THEN
-            CALL lbc_lnk( ub, 'U', -1. )
-            CALL lbc_lnk( vb, 'V', -1. )
+            CALL lbc_obc_lnk( ub, 'U', -1. )
+            CALL lbc_obc_lnk( vb, 'V', -1. )
          END IF
-         CALL lbc_lnk( ua, 'U', -1. )
-         CALL lbc_lnk( va, 'V', -1. )
+         CALL lbc_obc_lnk( ua, 'U', -1. )
+         CALL lbc_obc_lnk( va, 'V', -1. )
       ENDIF
 
Index: branches/2012/dev_CMCC_INGV_2012/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn_bt.F90
===================================================================
--- branches/2012/dev_CMCC_INGV_2012/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn_bt.F90	(revision 3645)
+++ branches/2012/dev_CMCC_INGV_2012/NEMOGCM/NEMO/OPA_SRC/OBC/obcdyn_bt.F90	(revision 3646)
@@ -5,4 +5,6 @@
    !!======================================================================
    !! History :  1.0  ! 2005-12  (V. Garnier) original code
+   !!            3.5  ! 2012     (S. Mocavero, I. Epicoco) Updates for the 
+   !!                             optimization of OBC communications
    !!----------------------------------------------------------------------
 #if ( defined key_dynspg_ts || defined key_dynspg_exp ) && defined key_obc
@@ -65,11 +67,11 @@
       IF( lk_mpp ) THEN
          IF( kt >= nit000+3 .AND. ln_rstart ) THEN
-            CALL lbc_lnk( sshb, 'T',  1. )
-            CALL lbc_lnk( ub  , 'U', -1. )
-            CALL lbc_lnk( vb  , 'V', -1. )
+            CALL lbc_obc_lnk( sshb, 'T',  1. )
+            CALL lbc_obc_lnk( ub  , 'U', -1. )
+            CALL lbc_obc_lnk( vb  , 'V', -1. )
          END IF
-         CALL lbc_lnk( sshn, 'T',  1. )
-         CALL lbc_lnk( ua  , 'U', -1. )
-         CALL lbc_lnk( va  , 'V', -1. )
+         CALL lbc_obc_lnk( sshn, 'T',  1. )
+         CALL lbc_obc_lnk( ua  , 'U', -1. )
+         CALL lbc_obc_lnk( va  , 'V', -1. )
       ENDIF
 
Index: branches/2012/dev_CMCC_INGV_2012/NEMOGCM/NEMO/OPA_SRC/OBC/obctra.F90
===================================================================
--- branches/2012/dev_CMCC_INGV_2012/NEMOGCM/NEMO/OPA_SRC/OBC/obctra.F90	(revision 3645)
+++ branches/2012/dev_CMCC_INGV_2012/NEMOGCM/NEMO/OPA_SRC/OBC/obctra.F90	(revision 3646)
@@ -4,4 +4,6 @@
    !! Ocean tracers:   Radiation of tracers on each open boundary
    !!=================================================================================
+   !! History :  3.5  !  2012     (S. Mocavero, I. Epicoco) Updates for the 
+   !!                             optimization of OBC communications
 #if defined key_obc
    !!---------------------------------------------------------------------------------
@@ -101,9 +103,9 @@
       IF( lk_mpp ) THEN                  !!bug ???
          IF( kt >= nit000+3 .AND. ln_rstart ) THEN
-            CALL lbc_lnk( tsb(:,:,:,jp_tem), 'T', 1. )
-            CALL lbc_lnk( tsb(:,:,:,jp_sal), 'T', 1. )
+            CALL lbc_obc_lnk( tsb(:,:,:,jp_tem), 'T', 1. )
+            CALL lbc_obc_lnk( tsb(:,:,:,jp_sal), 'T', 1. )
          END IF
-         CALL lbc_lnk( tsa(:,:,:,jp_tem), 'T', 1. )
-         CALL lbc_lnk( tsa(:,:,:,jp_sal), 'T', 1. )
+         CALL lbc_obc_lnk( tsa(:,:,:,jp_tem), 'T', 1. )
+         CALL lbc_obc_lnk( tsa(:,:,:,jp_sal), 'T', 1. )
       ENDIF
 