Index: branches/2012/dev_NOC_MERCATOR_2012/NEMOGCM/SETTE/iodef_sette.xml
===================================================================
--- branches/2012/dev_NOC_MERCATOR_2012/NEMOGCM/SETTE/iodef_sette.xml	(revision 3649)
+++ branches/2012/dev_NOC_MERCATOR_2012/NEMOGCM/SETTE/iodef_sette.xml	(revision 3651)
@@ -140,5 +140,5 @@
 	<field id="utau"         description="Wind Stress along i-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="uoce"         description="ocean current along i-axis"                  unit="m/s"                  />
-	<field id="uocetr_eff"   description="Effective ocean transport along i-axis"      unit="m3/s"                  />
+	<field id="uocetr_eff"     description="Effective ocean transport along i-axis"    unit="m3/s"                 />
 	<!-- uoce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="uoce_eiv"     description="EIV ocean current along i-axis"              unit="m/s"                  />
@@ -158,5 +158,5 @@
 	<field id="vtau"         description="Wind Stress along j-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="voce"         description="ocean current along j-axis"                  unit="m/s"                  />
-	<field id="vocetr_eff"   description="Effective ocean transport along j-axis"      unit="m3/s"                  />
+	<field id="vocetr_eff"     description="Effective ocean tra,sport along j-axis"    unit="m3/s"                 />
 	<!-- voce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="voce_eiv"     description="EIV ocean current along j-axis"              unit="m/s"                  />
@@ -175,5 +175,5 @@
       <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
 	<field id="woce"         description="ocean vertical velocity"                     unit="m/s"                  />
-	<field id="wocetr_eff"   description="effective ocean vertical transport"          unit="m3/s"                 />
+	<field id="wocetr_eff"     description="effective ocean vertical transport"          unit="m3/s"                 />
 	<!-- woce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="woce_eiv"     description="EIV ocean vertical velocity"                 unit="m/s"                  />
@@ -209,8 +209,19 @@
 	<field id="fram_trans" description="Sea Ice Mass Transport Through Fram Strait" unit="kg/s" />
       </group>
-         
+
+      <!-- variables available with key_float -->
+      <group id="floatvar" axis_ref="nfloat" grid_ref="scalarpoint" zoom_ref="1point">
+        <field id="traj_lon"   description="floats longitude"   unit="deg"  operation="inst(X)" />
+        <field id="traj_lat"   description="floats latitude"    unit="deg"   />
+        <field id="traj_dep"   description="floats depth"       unit="m"     />
+        <field id="traj_temp"  description="floats temperature" unit="degC"  />
+        <field id="traj_salt"  description="floats salinity"    unit="psu"   />
+        <field id="traj_dens"  description="floats density"     unit="kg/m3" />
+        <field id="traj_group" description="floats group"       unit="none"  />
+      </group>
+     
       <!-- ptrc on T grid -->
 
-     <group id="ptrc_T" axis_ref="deptht" grid_ref="grid_T">  
+     <group id="ptrc_T" axis_ref="deptht" grid_ref="grid_T">
        <field id="DIC"      description="Dissolved inorganic Concentration"        unit="mmol/m3" />
        <field id="Alkalini" description="Total Alkalinity Concentration"           unit="mmol/m3"    />
@@ -237,4 +248,10 @@
        <field id="NO3"      description="Nitrates Concentration"                   unit="mmol/m3" />
        <field id="NH4"      description="Ammonium Concentration"                   unit="mmol/m3" />
+       <field id="DET"      description="Detritus"                                      unit="mmole-N/m3" />
+       <field id="ZOO"      description="Zooplankton Concentration"                     unit="mmole-N/m3" />
+       <field id="PHY"      description="Phytoplankton Concentration"                   unit="mmole-N/m3" />
+       <field id="NO3"      description="Nitrate Concentration"                         unit="mmole-N/m3" />
+       <field id="NH4"      description="Ammonium Concentration"                        unit="mmole-N/m3" />
+       <field id="DOM"      description="Dissolved Organic Matter"                      unit="mmole-N/m3" />
      </group>
 
@@ -246,22 +263,19 @@
        <field id="CO3sat"      description="CO3 saturation"                           unit="mol/m3"     axis_ref="deptht" />
        <field id="PAR"         description="Photosynthetically Available Radiation"   unit="W/m2"       axis_ref="deptht" />
-       <field id="PPPHY"       description="Primary production of nanophyto"          unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="PPPHY2"      description="Primary production of diatoms"            unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="PPNEWN"      description="New Primary production of nanophyto"      unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="PPNEWD"      description="New Primary production of diatoms"        unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="PBSi"        description="Primary production of Si diatoms"         unit="molSi/m3/s"   axis_ref="deptht" />
-       <field id="PFeN"        description="Primary production of nano iron"          unit="molFe/m3/s"   axis_ref="deptht" />
-       <field id="PFeD"        description="Primary production of diatoms iron"       unit="molFe/m3/s"   axis_ref="deptht" />
-       <field id="xfracal"     description="Calcifying fraction"                      unit="-"          axis_ref="deptht" />
-       <field id="PCAL"        description="Calcite production"                       unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="DCAL"        description="Calcite dissolution"                      unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="GRAZ1"       description="Grazing by microzooplankton"              unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="GRAZ2"       description="Grazing by mesozooplankton"              unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="REMIN"       description="Oxic remineralization of OM"             unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="DENIT"       description="Anoxic remineralization of OM"           unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="Nfix"        description="Nitrogen fixation"                         unit="molN/m3/s"   axis_ref="deptht" />
+       <field id="PPPHY"       description="Primary production of nanophyto"          unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PPPHY2"      description="Primary production of diatoms"            unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PPNEWN"      description="New Primary production of nanophyto"      unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PPNEWD"      description="New Primary production of diatoms"        unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PBSi"        description="Primary production of Si diatoms"         unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PFeN"        description="Primary production of nano iron"          unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PFeD"        description="Primary production of diatoms iron"       unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PCAL"        description="Calcite production"                       unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="DCAL"        description="Calcite dissolution"                      unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="GRAZ"        description="Grazing by zooplankton"                   unit="mol/m3/s"   axis_ref="deptht" />
        <field id="Mumax"       description="Maximum growth rate"                      unit="s-1"        axis_ref="deptht" />
        <field id="MuN"         description="Realized growth rate for nanophyto"       unit="s-1"        axis_ref="deptht" />
        <field id="MuD"         description="Realized growth rate for diatomes"        unit="s-1"        axis_ref="deptht" />
+       <field id="MuNlight"    description="Light limited growth rate for nanophyto"  unit="s-1"        axis_ref="deptht" />
+       <field id="MuDlight"    description="Light limited growth rate for diatomes"   unit="s-1"        axis_ref="deptht" />
        <field id="LNnut"       description="Nutrient limitation term in Nanophyto"    unit="-"          axis_ref="deptht" />
        <field id="LDnut"       description="Nutrient limitation term in Diatoms"      unit="-"          axis_ref="deptht" />
@@ -270,17 +284,5 @@
        <field id="LNlight"     description="Light limitation term in Nanophyto"       unit="-"          axis_ref="deptht" />
        <field id="LDlight"     description="Light limitation term in Diatoms"         unit="-"          axis_ref="deptht" />
-       <field id="Fe2"        description="Iron II concentration"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="Fe3"        description="Iron III concentration"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="FeL1"        description="Complexed Iron concentration with L1"       unit="nmol/L"   axis_ref="deptht" />
-       <field id="FeL2"        description="Complexed Iron concentration with L2"       unit="nmol/L"   axis_ref="deptht" />
-       <field id="FeP"        description="Precipitated Iron III"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="TL1"        description="Total L1 concentration"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="TL2"        description="Total L2 concentration"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="pdust"        description="dust concentration"                      unit="g/L"    />
-       <field id="Totlig"        description="Total ligand concentation"                unit="nmol/L"   axis_ref="deptht" />
-       <field id="Biron"        description="Bioavailable iron"                       unit="nmol/L"   axis_ref="deptht" />
-       <field id="Sdenit"        description="Nitrate reduction in the sediments"     unit="molN/m2/s"      />
-       <field id="Ironice"     description="Iron input/uptake due to sea ice"             unit="molFe/m2/s"      />
-       <field id="HYDR"       description="Iron input from hydrothemal vents"          unit="molFe/m2/s"      />
+       <field id="Nfix"        description="Nitrogen fixation at surface"             unit="mol/m2/s"                     />
        <field id="EPC100"      description="Export of carbon particles at 100 m"      unit="mol/m2/s"                     />
        <field id="EPFE100"     description="Export of biogenic iron at 100 m"         unit="mol/m2/s"                     />
@@ -293,6 +295,27 @@
        <field id="Dpo2"        description="Delta O2"                                 unit="uatm"                         />
        <field id="Heup"        description="Euphotic layer depth"                     unit="m"                            />
-       <field id="Irondep"     description="Iron deposition from dust"                 unit="mol/m2/s"                     />
-       <field id="Ironsed"     description="Iron deposition from sediment"             unit="mol/m2/s"  axis_ref="deptht"  />
+       <field id="Irondep"     description="Iron deposition"                          unit="mol/m2/s"                     />
+       <field id="FNO3PHY"     description="FNO3PHY"                                  unit="-"          axis_ref="deptht" />
+       <field id="FNH4PHY"     description="FNH4PHY"                                  unit="-"          axis_ref="deptht" />
+       <field id="FNH4NO3"     description="FNH4NO3"                                  unit="-"          axis_ref="deptht" />
+       <field id="TNO3PHY"     description="TNO3PHY"                                  unit="-"  />
+       <field id="TNH4PHY"     description="TNH4PHY"                                  unit="-"  />
+       <field id="TPHYDOM"     description="TPHYDOM"                                  unit="-"  />
+       <field id="TPHYNH4"     description="TPHYNH4"                                  unit="-"  />
+       <field id="TPHYZOO"     description="TPHYZOO"                                  unit="-"  />
+       <field id="TPHYDET"     description="TPHYDET"                                  unit="-"  />
+       <field id="TDETZOO"     description="TDETZOO"                                  unit="-"  />
+       <field id="TDETSED"     description="TDETSED"                                  unit="-"  />
+       <field id="TZOODET"     description="TZOODET"                                  unit="-"  />
+       <field id="TZOOBOD"     description="TZOOBOD"                                  unit="-"  />
+       <field id="TZOONH4"     description="TZOONH4"                                  unit="-"  />
+       <field id="TZOODOM"     description="TZOODOM"                                  unit="-"  />
+       <field id="TNH4NO3"     description="TNH4NO3"                                  unit="-"  />
+       <field id="TDOMNH4"     description="TDOMNH4"                                  unit="-"  />
+       <field id="TDETNH4"     description="TDETNH4"                                  unit="-"  />
+       <field id="TPHYTOT"     description="TPHYTOT"                                  unit="-"  />
+       <field id="TZOOTOT"     description="TZOOTOT"                                  unit="-"  />
+       <field id="TDETDOM"     description="TDETDOM"                                  unit="-"  />
+       <field id="SEDPOC"      description="SEDPOC"                                   unit="-"  />
      </group>
        
@@ -374,4 +397,5 @@
       <axis id="depthv" description="Vertical V levels" unit="m" positive=".false." />
       <axis id="depthw" description="Vertical W levels" unit="m" positive=".false." />
+      <axis id="nfloat" description="Number of float"   unit="no unit" positive=".false." />
       <axis id="none" description="axe non defini" unit="none" size="1" />
     </axis_definition> 
@@ -551,5 +575,4 @@
   </context>
   
-
   <context id="1_nemo">
     
@@ -690,5 +713,5 @@
 	<field id="utau"         description="Wind Stress along i-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="uoce"         description="ocean current along i-axis"                  unit="m/s"                  />
-	<field id="uocetr_eff"   description="Effective ocean transport along i-axis"      unit="m3/s"                  />
+	<field id="uocetr_eff"     description="Effective ocean transport along i-axis"    unit="m3/s"                 />
 	<!-- uoce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="uoce_eiv"     description="EIV ocean current along i-axis"              unit="m/s"                  />
@@ -708,5 +731,5 @@
 	<field id="vtau"         description="Wind Stress along j-axis"                    unit="N/m2" axis_ref="none" />
 	<field id="voce"         description="ocean current along j-axis"                  unit="m/s"                  />
-	<field id="vocetr_eff"   description="Effective ocean transport along j-axis"      unit="m3/s"                  />
+	<field id="vocetr_eff"     description="Effective ocean tra,sport along j-axis"    unit="m3/s"                 />
 	<!-- voce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="voce_eiv"     description="EIV ocean current along j-axis"              unit="m/s"                  />
@@ -725,5 +748,5 @@
       <group id="grid_W"  axis_ref="depthw" grid_ref="grid_W">
 	<field id="woce"         description="ocean vertical velocity"                     unit="m/s"                  />
-	<field id="wocetr_eff"   description="effective ocean vertical transport"          unit="m3/s"                 />
+	<field id="wocetr_eff"     description="effective ocean vertical transport"          unit="m3/s"                 />
 	<!-- woce_eiv: available with key_traldf_eiv and key_diaeiv -->
 	<field id="woce_eiv"     description="EIV ocean vertical velocity"                 unit="m/s"                  />
@@ -759,8 +782,19 @@
 	<field id="fram_trans" description="Sea Ice Mass Transport Through Fram Strait" unit="kg/s" />
       </group>
-         
+
+      <!-- variables available with key_float -->
+      <group id="floatvar" axis_ref="nfloat" grid_ref="scalarpoint" zoom_ref="1point">
+        <field id="traj_lon"   description="floats longitude"   unit="deg"  operation="inst(X)" />
+        <field id="traj_lat"   description="floats latitude"    unit="deg"   />
+        <field id="traj_dep"   description="floats depth"       unit="m"     />
+        <field id="traj_temp"  description="floats temperature" unit="degC"  />
+        <field id="traj_salt"  description="floats salinity"    unit="psu"   />
+        <field id="traj_dens"  description="floats density"     unit="kg/m3" />
+        <field id="traj_group" description="floats group"       unit="none"  />
+      </group>
+     
       <!-- ptrc on T grid -->
 
-     <group id="ptrc_T" axis_ref="deptht" grid_ref="grid_T">  
+     <group id="ptrc_T" axis_ref="deptht" grid_ref="grid_T">
        <field id="DIC"      description="Dissolved inorganic Concentration"        unit="mmol/m3" />
        <field id="Alkalini" description="Total Alkalinity Concentration"           unit="mmol/m3"    />
@@ -787,4 +821,10 @@
        <field id="NO3"      description="Nitrates Concentration"                   unit="mmol/m3" />
        <field id="NH4"      description="Ammonium Concentration"                   unit="mmol/m3" />
+       <field id="DET"      description="Detritus"                                      unit="mmole-N/m3" />
+       <field id="ZOO"      description="Zooplankton Concentration"                     unit="mmole-N/m3" />
+       <field id="PHY"      description="Phytoplankton Concentration"                   unit="mmole-N/m3" />
+       <field id="NO3"      description="Nitrate Concentration"                         unit="mmole-N/m3" />
+       <field id="NH4"      description="Ammonium Concentration"                        unit="mmole-N/m3" />
+       <field id="DOM"      description="Dissolved Organic Matter"                      unit="mmole-N/m3" />
      </group>
 
@@ -796,22 +836,19 @@
        <field id="CO3sat"      description="CO3 saturation"                           unit="mol/m3"     axis_ref="deptht" />
        <field id="PAR"         description="Photosynthetically Available Radiation"   unit="W/m2"       axis_ref="deptht" />
-       <field id="PPPHY"       description="Primary production of nanophyto"          unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="PPPHY2"      description="Primary production of diatoms"            unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="PPNEWN"      description="New Primary production of nanophyto"      unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="PPNEWD"      description="New Primary production of diatoms"        unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="PBSi"        description="Primary production of Si diatoms"         unit="molSi/m3/s"   axis_ref="deptht" />
-       <field id="PFeN"        description="Primary production of nano iron"          unit="molFe/m3/s"   axis_ref="deptht" />
-       <field id="PFeD"        description="Primary production of diatoms iron"       unit="molFe/m3/s"   axis_ref="deptht" />
-       <field id="xfracal"     description="Calcifying fraction"                      unit="-"          axis_ref="deptht" />
-       <field id="PCAL"        description="Calcite production"                       unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="DCAL"        description="Calcite dissolution"                      unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="GRAZ1"       description="Grazing by microzooplankton"              unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="GRAZ2"       description="Grazing by mesozooplankton"              unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="REMIN"       description="Oxic remineralization of OM"             unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="DENIT"       description="Anoxic remineralization of OM"           unit="molC/m3/s"   axis_ref="deptht" />
-       <field id="Nfix"        description="Nitrogen fixation"                         unit="molN/m3/s"   axis_ref="deptht" />
+       <field id="PPPHY"       description="Primary production of nanophyto"          unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PPPHY2"      description="Primary production of diatoms"            unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PPNEWN"      description="New Primary production of nanophyto"      unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PPNEWD"      description="New Primary production of diatoms"        unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PBSi"        description="Primary production of Si diatoms"         unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PFeN"        description="Primary production of nano iron"          unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PFeD"        description="Primary production of diatoms iron"       unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="PCAL"        description="Calcite production"                       unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="DCAL"        description="Calcite dissolution"                      unit="mol/m3/s"   axis_ref="deptht" />
+       <field id="GRAZ"        description="Grazing by zooplankton"                   unit="mol/m3/s"   axis_ref="deptht" />
        <field id="Mumax"       description="Maximum growth rate"                      unit="s-1"        axis_ref="deptht" />
        <field id="MuN"         description="Realized growth rate for nanophyto"       unit="s-1"        axis_ref="deptht" />
        <field id="MuD"         description="Realized growth rate for diatomes"        unit="s-1"        axis_ref="deptht" />
+       <field id="MuNlight"    description="Light limited growth rate for nanophyto"  unit="s-1"        axis_ref="deptht" />
+       <field id="MuDlight"    description="Light limited growth rate for diatomes"   unit="s-1"        axis_ref="deptht" />
        <field id="LNnut"       description="Nutrient limitation term in Nanophyto"    unit="-"          axis_ref="deptht" />
        <field id="LDnut"       description="Nutrient limitation term in Diatoms"      unit="-"          axis_ref="deptht" />
@@ -820,17 +857,5 @@
        <field id="LNlight"     description="Light limitation term in Nanophyto"       unit="-"          axis_ref="deptht" />
        <field id="LDlight"     description="Light limitation term in Diatoms"         unit="-"          axis_ref="deptht" />
-       <field id="Fe2"        description="Iron II concentration"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="Fe3"        description="Iron III concentration"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="FeL1"        description="Complexed Iron concentration with L1"       unit="nmol/L"   axis_ref="deptht" />
-       <field id="FeL2"        description="Complexed Iron concentration with L2"       unit="nmol/L"   axis_ref="deptht" />
-       <field id="FeP"        description="Precipitated Iron III"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="TL1"        description="Total L1 concentration"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="TL2"        description="Total L2 concentration"                      unit="nmol/L"   axis_ref="deptht" />
-       <field id="pdust"        description="dust concentration"                      unit="g/L"    />
-       <field id="Totlig"        description="Total ligand concentation"                unit="nmol/L"   axis_ref="deptht" />
-       <field id="Biron"        description="Bioavailable iron"                       unit="nmol/L"   axis_ref="deptht" />
-       <field id="Sdenit"        description="Nitrate reduction in the sediments"     unit="molN/m2/s"      />
-       <field id="Ironice"     description="Iron input/uptake due to sea ice"             unit="molFe/m2/s"      />
-       <field id="HYDR"       description="Iron input from hydrothemal vents"          unit="molFe/m2/s"      />
+       <field id="Nfix"        description="Nitrogen fixation at surface"             unit="mol/m2/s"                     />
        <field id="EPC100"      description="Export of carbon particles at 100 m"      unit="mol/m2/s"                     />
        <field id="EPFE100"     description="Export of biogenic iron at 100 m"         unit="mol/m2/s"                     />
@@ -843,6 +868,27 @@
        <field id="Dpo2"        description="Delta O2"                                 unit="uatm"                         />
        <field id="Heup"        description="Euphotic layer depth"                     unit="m"                            />
-       <field id="Irondep"     description="Iron deposition from dust"                 unit="mol/m2/s"                     />
-       <field id="Ironsed"     description="Iron deposition from sediment"             unit="mol/m2/s"  axis_ref="deptht"  />
+       <field id="Irondep"     description="Iron deposition"                          unit="mol/m2/s"                     />
+       <field id="FNO3PHY"     description="FNO3PHY"                                  unit="-"          axis_ref="deptht" />
+       <field id="FNH4PHY"     description="FNH4PHY"                                  unit="-"          axis_ref="deptht" />
+       <field id="FNH4NO3"     description="FNH4NO3"                                  unit="-"          axis_ref="deptht" />
+       <field id="TNO3PHY"     description="TNO3PHY"                                  unit="-"  />
+       <field id="TNH4PHY"     description="TNH4PHY"                                  unit="-"  />
+       <field id="TPHYDOM"     description="TPHYDOM"                                  unit="-"  />
+       <field id="TPHYNH4"     description="TPHYNH4"                                  unit="-"  />
+       <field id="TPHYZOO"     description="TPHYZOO"                                  unit="-"  />
+       <field id="TPHYDET"     description="TPHYDET"                                  unit="-"  />
+       <field id="TDETZOO"     description="TDETZOO"                                  unit="-"  />
+       <field id="TDETSED"     description="TDETSED"                                  unit="-"  />
+       <field id="TZOODET"     description="TZOODET"                                  unit="-"  />
+       <field id="TZOOBOD"     description="TZOOBOD"                                  unit="-"  />
+       <field id="TZOONH4"     description="TZOONH4"                                  unit="-"  />
+       <field id="TZOODOM"     description="TZOODOM"                                  unit="-"  />
+       <field id="TNH4NO3"     description="TNH4NO3"                                  unit="-"  />
+       <field id="TDOMNH4"     description="TDOMNH4"                                  unit="-"  />
+       <field id="TDETNH4"     description="TDETNH4"                                  unit="-"  />
+       <field id="TPHYTOT"     description="TPHYTOT"                                  unit="-"  />
+       <field id="TZOOTOT"     description="TZOOTOT"                                  unit="-"  />
+       <field id="TDETDOM"     description="TDETDOM"                                  unit="-"  />
+       <field id="SEDPOC"      description="SEDPOC"                                   unit="-"  />
      </group>
        
@@ -924,4 +970,5 @@
       <axis id="depthv" description="Vertical V levels" unit="m" positive=".false." />
       <axis id="depthw" description="Vertical W levels" unit="m" positive=".false." />
+      <axis id="nfloat" description="Number of float"   unit="no unit" positive=".false." />
       <axis id="none" description="axe non defini" unit="none" size="1" />
     </axis_definition> 
@@ -1098,6 +1145,5 @@
 
     </grid_definition>    
-    
-</context>
-
+  </context>
+    
 </simulation>