Index: branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/AMM12/EXP00/namelist
===================================================================
--- branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 3672)
+++ branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 3674)
@@ -540,4 +540,5 @@
    ln_traadv_ubs    =  .false.  !  UBS scheme                 
    ln_traadv_qck    =  .false.  !  QUICKEST scheme                 
+   ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl
 /
 !----------------------------------------------------------------------------------
Index: branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 3672)
+++ branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 3674)
@@ -546,4 +546,5 @@
    ln_traadv_ubs    =  .false.  !  UBS scheme                 
    ln_traadv_qck    =  .false.  !  QUICKEST scheme                 
+   ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl 
 /
 !----------------------------------------------------------------------------------
Index: branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 3672)
+++ branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 3674)
@@ -504,4 +504,5 @@
    ln_traadv_ubs    =  .false.  !  UBS scheme                 
    ln_traadv_qck    =  .false.  !  QUCIKEST scheme                 
+   ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl
 /
 !-----------------------------------------------------------------------
Index: branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3672)
+++ branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3674)
@@ -541,4 +541,5 @@
    ln_traadv_ubs    =  .false.  !  UBS scheme                 
    ln_traadv_qck    =  .false.  !  QUICKEST scheme                 
+   ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl
 /
 !----------------------------------------------------------------------------------
Index: branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top
===================================================================
--- branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top	(revision 3672)
+++ branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_top	(revision 3674)
@@ -85,4 +85,5 @@
    ln_trcadv_ubs    =  .false.  !  UBS scheme
    ln_trcadv_qck    =  .false.  !  QUICKEST scheme
+   ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl
 /
 !-----------------------------------------------------------------------
Index: branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3672)
+++ branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3674)
@@ -522,4 +522,5 @@
    ln_traadv_ubs    =  .false.  !  UBS scheme                 
    ln_traadv_qck    =  .false.  !  QUICKEST scheme
+   ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl
 /
 !-----------------------------------------------------------------------
Index: branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top
===================================================================
--- branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top	(revision 3672)
+++ branches/2012/dev_LOCEAN_UKMO_CMCC_INGV_2012/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top	(revision 3674)
@@ -83,4 +83,5 @@
    ln_trcadv_ubs    =  .false.  !  UBS scheme
    ln_trcadv_qck    =  .false.  !  QUICKEST scheme
+   ln_traadv_msc_ups=  .false.  !  use upstream scheme within muscl
 /
 !-----------------------------------------------------------------------