Index: branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/par_my_trc.F90
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/par_my_trc.F90	(revision 3677)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/par_my_trc.F90	(revision 3680)
@@ -10,9 +10,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   USE par_lobster, ONLY : jp_lobster      !: number of tracers in LOBSTER
-   USE par_lobster, ONLY : jp_lobster_2d   !: number of 2D diag in LOBSTER
-   USE par_lobster, ONLY : jp_lobster_3d   !: number of 3D diag in LOBSTER
-   USE par_lobster, ONLY : jp_lobster_trd  !: number of biological diag in LOBSTER
-
    USE par_pisces , ONLY : jp_pisces       !: number of tracers in PISCES
    USE par_pisces , ONLY : jp_pisces_2d    !: number of 2D diag in PISCES
@@ -32,8 +27,8 @@
    IMPLICIT NONE
 
-   INTEGER, PARAMETER ::   jp_lm      = jp_lobster     + jp_pisces     + jp_cfc     + jp_c14b     !: 
-   INTEGER, PARAMETER ::   jp_lm_2d   = jp_lobster_2d  + jp_pisces_2d  + jp_cfc_2d  + jp_c14b_2d  !:
-   INTEGER, PARAMETER ::   jp_lm_3d   = jp_lobster_3d  + jp_pisces_3d  + jp_cfc_3d  + jp_c14b_3d  !:
-   INTEGER, PARAMETER ::   jp_lm_trd  = jp_lobster_trd + jp_pisces_trd + jp_cfc_trd + jp_c14b_trd !:
+   INTEGER, PARAMETER ::   jp_lm      =  jp_pisces     + jp_cfc     + jp_c14b     !: 
+   INTEGER, PARAMETER ::   jp_lm_2d   =  jp_pisces_2d  + jp_cfc_2d  + jp_c14b_2d  !:
+   INTEGER, PARAMETER ::   jp_lm_3d   =  jp_pisces_3d  + jp_cfc_3d  + jp_c14b_3d  !:
+   INTEGER, PARAMETER ::   jp_lm_trd  =  jp_pisces_trd + jp_cfc_trd + jp_c14b_trd !:
 
 #if defined key_my_trc
@@ -42,5 +37,5 @@
    !!---------------------------------------------------------------------
    LOGICAL, PUBLIC, PARAMETER ::   lk_my_trc     = .TRUE.   !: PTS flag 
-   INTEGER, PUBLIC, PARAMETER ::   jp_my_trc     =  2       !: number of PTS tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_my_trc     =  1       !: number of PTS tracers
    INTEGER, PUBLIC, PARAMETER ::   jp_my_trc_2d  =  0       !: additional 2d output arrays ('key_trc_diaadd')
    INTEGER, PUBLIC, PARAMETER ::   jp_my_trc_3d  =  0       !: additional 3d output arrays ('key_trc_diaadd')
@@ -49,5 +44,4 @@
    ! assign an index in trc arrays for each PTS prognostic variables
    INTEGER, PUBLIC, PARAMETER ::   jpmyt1 = jp_lm + 1     !: 1st MY_TRC tracer
-   INTEGER, PUBLIC, PARAMETER ::   jpmyt2 = jp_lm + 2     !: 2nd MY_TRC tracer
 
 #else
Index: branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcnam_my_trc.F90
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcnam_my_trc.F90	(revision 3677)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcnam_my_trc.F90	(revision 3680)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                      ***  MODULE trcnam_my_trc  ***
-   !! TOP :   initialisation of some run parameters for LOBSTER bio-model
+   !! TOP :   initialisation of some run parameters for MY_TRC bio-model
    !!======================================================================
    !! History :   2.0  !  2007-12  (C. Ethe, G. Madec) Original code
Index: branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcrst_my_trc.F90
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcrst_my_trc.F90	(revision 3677)
+++ 	(revision )
@@ -1,51 +1,0 @@
-MODULE trcrst_my_trc
-   !!======================================================================
-   !!                       ***  MODULE trcrst_my_trc  ***
-   !! TOP :   create, write, read the restart files of MY_TRC tracer
-   !!======================================================================
-   !! History :   1.0  !  2010-01 (C. Ethe)  Original
-   !!----------------------------------------------------------------------
-#if defined key_my_trc
-   !!----------------------------------------------------------------------
-   !!   'key_my_trc'                                               CFC tracers
-   !!----------------------------------------------------------------------
-   !!   trc_rst_read_my_trc   : read  restart file
-   !!   trc_rst_wri_my_trc    : write restart file
-   !!----------------------------------------------------------------------
-
-   IMPLICIT NONE
-   PRIVATE
-
-   PUBLIC  trc_rst_read_my_trc   ! called by trcini.F90 module
-   PUBLIC  trc_rst_wri_my_trc   ! called by trcini.F90 module
-
-CONTAINS
-   
-   SUBROUTINE trc_rst_read_my_trc( knum ) 
-     INTEGER, INTENT(in)  :: knum
-     WRITE(*,*) 'trc_rst_read_my_trc: No specific variables to read on unit', knum
-   END SUBROUTINE trc_rst_read_my_trc
-
-   SUBROUTINE trc_rst_wri_my_trc( kt, kirst, knum )
-     INTEGER, INTENT(in)  :: kt, kirst, knum
-     WRITE(*,*) 'trc_rst_wri_my_trc: No specific variables to write on unit' ,knum, ' at time ', kt, kirst
-   END SUBROUTINE trc_rst_wri_my_trc
-
-#else
-   !!----------------------------------------------------------------------
-   !!  Dummy module :                                     No passive tracer
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE trc_rst_read_my_trc( knum )
-     INTEGER, INTENT(in)  :: knum
-     WRITE(*,*) 'trc_rst_read_my_trc: You should not have seen this print! error?', knum
-   END SUBROUTINE trc_rst_read_my_trc
-
-   SUBROUTINE trc_rst_wri_my_trc( kt, kirst, knum )
-     INTEGER, INTENT(in)  :: kt, kirst, knum
-     WRITE(*,*) 'trc_rst_wri_my_trc: You should not have seen this print! error?', kt, kirst, knum
-   END SUBROUTINE trc_rst_wri_my_trc
-#endif
-
-   !!======================================================================
-END MODULE trcrst_my_trc
Index: branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 3677)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 3680)
@@ -62,10 +62,4 @@
       END WHERE
 
-      WHERE( ((glamt <= -165) .OR. (glamt >= 160)) .AND. (gphit <= -76) .AND. (gphit >=-80))
-        trn(:,:,1,jpmyt2) = 1._wp
-        trb(:,:,1,jpmyt2) = 1._wp
-        tra(:,:,1,jpmyt2) = 0._wp
-      END WHERE
-
       IF( l_trdtrc ) THEN      ! Save the trends in the ixed layer
           DO jn = jp_myt0, jp_myt1
Index: branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcwri_my_trc.F90
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcwri_my_trc.F90	(revision 3680)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcwri_my_trc.F90	(revision 3680)
@@ -0,0 +1,58 @@
+MODULE trcwri_my_trc
+   !!======================================================================
+   !!                       *** MODULE trcwri ***
+   !!    my_trc :   Output of my_trc tracers
+   !!======================================================================
+   !! History :   1.0  !  2009-05 (C. Ethe)  Original code
+   !!----------------------------------------------------------------------
+#if defined key_top && key_my_trc && defined key_iomput
+   !!----------------------------------------------------------------------
+   !!   'key_my_trc'                                           my_trc model
+   !!----------------------------------------------------------------------
+   !! trc_wri_my_trc   :  outputs of concentration fields
+   !!----------------------------------------------------------------------
+   USE trc         ! passive tracers common variables 
+   USE iom         ! I/O manager
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC trc_wri_my_trc 
+
+CONTAINS
+
+   SUBROUTINE trc_wri_my_trc
+      !!---------------------------------------------------------------------
+      !!                     ***  ROUTINE trc_wri_trc  ***
+      !!
+      !! ** Purpose :   output passive tracers fields 
+      !!---------------------------------------------------------------------
+      CHARACTER (len=20)   :: cltra
+      INTEGER              :: jn
+      !!---------------------------------------------------------------------
+ 
+      ! write the tracer concentrations in the file
+      ! ---------------------------------------
+      DO jn = jp_myt0, jp_myt1
+         cltra = TRIM( ctrcnm(jn) )                  ! short title for tracer
+         CALL iom_put( cltra, trn(:,:,:,jn) )
+      END DO
+      !
+   END SUBROUTINE trc_wri_my_trc
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+   PUBLIC trc_wri_my_trc
+CONTAINS
+   SUBROUTINE trc_wri_my_trc                     ! Empty routine  
+   END SUBROUTINE trc_wri_my_trc
+#endif
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
+   !! $Id: trcwri_my_trc.F90 3160 2011-11-20 14:27:18Z cetlod $ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!======================================================================
+END MODULE trcwri_my_trc