Index: /trunk/DOC/TexFiles/Biblio/Biblio.bib
===================================================================
--- /trunk/DOC/TexFiles/Biblio/Biblio.bib	(revision 3682)
+++ /trunk/DOC/TexFiles/Biblio/Biblio.bib	(revision 3683)
@@ -1412,8 +1412,9 @@
 }
 
-@ARTICLE{Hunke2008,
+@TECHREPORT{Hunke2008,
   author = {E.C. Hunke and W.H. Lipscomb},
   title = {CICE: the Los Alamos sea ice model documentation and software user's manual, 
         Version 4.0},
+  institution = { Los Alamos National Laboratory, N.M.},
   publisher = {LA-CC-06-012, Los Alamos National Laboratory, N.M.},
   year = {2008}
Index: /trunk/DOC/TexFiles/Chapters/Chap_CFG.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 3682)
+++ /trunk/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 3683)
@@ -206,5 +206,5 @@
 % -------------------------------------------------------------------------------------------------------------
 \section{GYRE family: double gyre basin (\key{gyre})}
-\label{MISC_config_gyre}
+\label{CFG_gyre}
 
 The GYRE configuration \citep{Levy_al_OM10} have been built to simulated 
Index: /trunk/DOC/TexFiles/Chapters/Chap_DIA.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_DIA.tex	(revision 3682)
+++ /trunk/DOC/TexFiles/Chapters/Chap_DIA.tex	(revision 3683)
@@ -1018,5 +1018,5 @@
 In addition, a series of diagnostics has been added in the \mdl{diaar5}. 
 They corresponds to outputs that are required for AR5 simulations 
-(see Section \ref{MISC_steric} below for one of them). 
+(see Section \ref{DIA_steric} below for one of them). 
 Activating those outputs requires to define the \key{diaar5} CPP key.
 \\
Index: /trunk/DOC/TexFiles/Chapters/Chap_DOM.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 3682)
+++ /trunk/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 3683)
@@ -499,5 +499,5 @@
 Hybridation of the three main coordinates are available: $s-z$ or $s-zps$ coordinate 
 (Fig.~\ref{Fig_z_zps_s_sps}d and \ref{Fig_z_zps_s_sps}e). When using the variable 
-volume option \key{vvl}) ($i.e.$ non-linear free surface), the coordinate follow the 
+volume option \key{vvl} ($i.e.$ non-linear free surface), the coordinate follow the 
 time-variation of the free surface so that the transformation is time dependent: 
 $z(i,j,k,t)$ (Fig.~\ref{Fig_z_zps_s_sps}f). This option can be used with full step 
Index: /trunk/DOC/TexFiles/Chapters/Chap_DYN.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 3682)
+++ /trunk/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 3683)
@@ -127,5 +127,5 @@
 This is of paramount importance. Replacing $T$ by the number $1$ in the tracer equation and summing
 over the water column must lead to the sea surface height equation otherwise tracer content
-will not be conserved \ref{Griffies_al_MWR01, LeclairMadec2009}.
+will not be conserved \citep{Griffies_al_MWR01, Leclair_Madec_OM09}.
 
 The vertical velocity is computed by an upward integration of the horizontal 
@@ -189,5 +189,5 @@
 the relative vorticity term and horizontal kinetic energy for the planetary vorticity 
 term (MIX scheme) ; or conserving both the potential enstrophy of horizontally non-divergent 
-flow and horizontal kinetic energy (EEN scheme) (see  Appendix~\ref{Apdx_C_vor_zad}). In the 
+flow and horizontal kinetic energy (EEN scheme) (see  Appendix~\ref{Apdx_C_vorEEN}). In the 
 case of ENS, ENE or MIX schemes the land sea mask may be slightly modified to ensure the 
 consistency of vorticity term with analytical equations (\textit{ln\_dynvor\_con}=true).
@@ -331,5 +331,5 @@
 This EEN scheme in fact combines the conservation properties of the ENS and ENE schemes. 
 It conserves both total energy and potential enstrophy in the limit of horizontally 
-nondivergent flow ($i.e.$ $\chi$=$0$) (see  Appendix~\ref{Apdx_C_vor_zad}). 
+nondivergent flow ($i.e.$ $\chi$=$0$) (see  Appendix~\ref{Apdx_C_vorEEN}). 
 Applied to a realistic ocean configuration, it has been shown that it leads to a significant 
 reduction of the noise in the vertical velocity field \citep{Le_Sommer_al_OM09}. 
@@ -938,5 +938,5 @@
 is the \textit{before} velocity in time, except for the pure vertical component 
 that appears when a tensor of rotation is used. This latter term is solved 
-implicitly together with the vertical diffusion term (see \S\ref{DOM_nxt}) 
+implicitly together with the vertical diffusion term (see \S\ref{STP}) 
 
 At the lateral boundaries either free slip, no slip or partial slip boundary 
@@ -1066,5 +1066,5 @@
 scheme (\np{ln\_zdfexp}=true) using a time splitting technique 
 (\np{nn\_zdfexp} $>$ 1) or $(b)$ a backward (or implicit) time differencing scheme 
-(\np{ln\_zdfexp}=false) (see \S\ref{DOM_nxt}). Note that namelist variables 
+(\np{ln\_zdfexp}=false) (see \S\ref{STP}). Note that namelist variables 
 \np{ln\_zdfexp} and \np{nn\_zdfexp} apply to both tracers and dynamics. 
 
Index: /trunk/DOC/TexFiles/Chapters/Chap_TRA.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 3682)
+++ /trunk/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 3683)
@@ -264,5 +264,5 @@
 transport) rather than TVD. The TVD scheme is implemented in the \mdl{traadv\_tvd} module.
 
-For stability reasons (see \S\ref{DOM_nxt}),
+For stability reasons (see \S\ref{STP}),
 $\tau _u^{cen2}$ is evaluated  in (\ref{Eq_tra_adv_tvd}) using the \textit{now} tracer while $\tau _u^{ups}$ 
 is evaluated using the \textit{before} tracer. In other words, the advective part of 
@@ -337,5 +337,5 @@
 \np{ln\_traadv\_ubs}=true.
 
-For stability reasons  (see \S\ref{DOM_nxt}),
+For stability reasons  (see \S\ref{STP}),
 the first term  in \eqref{Eq_tra_adv_ubs} (which corresponds to a second order centred scheme) 
 is evaluated using the \textit{now} tracer (centred in time) while the 
@@ -451,5 +451,5 @@
 except for the pure vertical component that appears when a rotation tensor 
 is used. This latter term is solved implicitly together with the 
-vertical diffusion term (see \S\ref{DOM_nxt}).
+vertical diffusion term (see \S\ref{STP}).
 
 % -------------------------------------------------------------------------------------------------------------
Index: /trunk/DOC/TexFiles/Chapters/Chap_ZDF.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 3682)
+++ /trunk/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 3683)
@@ -120,5 +120,5 @@
 \end{equation}
 
-is computed from the wind stress vector $|\tau|$ and the reference dendity $ \rho_o$.
+is computed from the wind stress vector $|\tau|$ and the reference density $ \rho_o$.
 The final $h_{e}$ is further constrained by the adjustable bounds \np{rn\_mldmin} and \np{rn\_mldmax}.
 Once $h_{e}$ is computed, the vertical eddy coefficients within $h_{e}$ are set to 
@@ -1188,5 +1188,5 @@
 \includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_ZDF_M2_K1_tmx.pdf}
 \caption{  \label{Fig_ZDF_M2_K1_tmx} 
-(a) M2 and (b) K2 internal wave drag energy from \citet{Carrere_Lyard_GRL03} ($W/m^2$). }
+(a) M2 and (b) K1 internal wave drag energy from \citet{Carrere_Lyard_GRL03} ($W/m^2$). }
 \end{center}  	\end{figure}
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>> 
@@ -1205,5 +1205,5 @@
 
 When \np{ln\_tmx\_itf}=true, the two key parameters $q$ and $F(z)$ are adjusted following 
-the parameterisation developed by \ref{Koch-Larrouy_al_GRL07}:
+the parameterisation developed by \citet{Koch-Larrouy_al_GRL07}:
 
 First, the Indonesian archipelago is a complex geographic region 
@@ -1219,5 +1219,5 @@
 Second, the vertical structure function, $F(z)$, is no more associated
 with a bottom intensification of the mixing, but with a maximum of 
-energy available within the thermocline. \ref{Koch-Larrouy_al_GRL07} 
+energy available within the thermocline. \citet{Koch-Larrouy_al_GRL07} 
 have suggested that the vertical distribution of the energy dissipation 
 proportional to $N^2$ below the core of the thermocline and to $N$ above. 
@@ -1236,5 +1236,5 @@
 and vertical distributions of the mixing are adequately prescribed 
 \citep{Koch-Larrouy_al_GRL07, Koch-Larrouy_al_OD08a, Koch-Larrouy_al_OD08b}.
-Note also that such a parameterisation has a sugnificant impact on the behaviour 
+Note also that such a parameterisation has a significant impact on the behaviour 
 of global coupled GCMs \citep{Koch-Larrouy_al_CD10}.
 